---
title: dots.v2.organizations.teams.get()
description: List Teams in an Organization
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/organizations/organizations-list-teams/
last_updated: "2026-10-27"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.organizations.teams.get()

Generated on 27 Oct 2026 from DoTs version [`v1.21.0`](https://github.com/digitalocean/dots/releases/tag/v1.21.0)

## Usage

```typescript
client.v2.organizations.teams.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | TeamsGetResponse>
```

## Description

To list all teams in an organization, send a GET request to [`/v2/organizations/teams`](https://docs.digitalocean.com/reference/api/reference/organizations/index.html.md#organizations_list_teams).

This endpoint must be called in an organization context.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.organizations.teams.get();
```

## Response Example

## Show Response Example

```json
{
  "teams": [
    {
      "id": 4126873,
      "uuid": "4e1bfbc3-dc3e-41f2-a18f-1b4d7ba71679",
      "name": "production",
      "email": "sammy@example.com",
      "member_count": 3,
      "status": "joined",
      "joined_organization_at": "2024-06-12T15:04:05Z",
      "company": "DigitalOcean"
    },
    {
      "id": 4126874,
      "uuid": "addb4547-6bab-419a-8542-76263a033cf6",
      "name": "staging",
      "email": "staging@example.com",
      "member_count": 2,
      "status": "joined",
      "joined_organization_at": "2024-07-01T10:00:00Z"
    }
  ]
}
```

## More Information

See [`/v2/organizations/teams`](https://docs.digitalocean.com/reference/api/reference/organizations/index.html.md#organizations_list_teams) in the API reference for additional detail on responses, headers, parameters, and more.